import request from '@/utils/request'




export function getContentList(query) {
  return request({
    url: '/supervision/content/',
    method: 'get',
    params: query
  })
}

export function getContent(id) {
  return request({
    url: `/supervision/content/${id}/`,
    method: 'get'
  })
}

export function createContent(data) {
  return request({
    url: '/supervision/content/',
    method: 'post',
    data
  })
}

export function updateContent(id, data) {
  return request({
    url: `/supervision/content/${id}/`,
    method: 'put',
    data
  })
}

export function deleteContent(id, data) {
  return request({
    url: `/supervision/content/${id}/`,
    method: 'delete',
    data
  })
}

